Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.event
Interface RemoteEventListener

All Superinterfaces:
  EventListener, Remote

public interface RemoteEventListener
extends Remote, EventListener

The RemoteEventListener interface needs to be implemented by any object that wants to receive a notification of a remote event from some other object.

The object implementing this interface does not need to be the object that originally registered interest in the occurrence of an event. To allow the notification of an event's occurrence to be sent to an entity other than the one that made the interest registration, the registration call needs to accept a destination parameter, which indicates the object to which the notification should be sent. This parameter must be an object which supports the RemoteEventListener interface.

Since:
  1.0

Method Summary
`void` | `notify(RemoteEvent theEvent)` Notify the listener about an event.

Method Detail

### notify

    public void notify(RemoteEvent theEvent)
                throws UnknownEventException,
                       RemoteException

  Notify the listener about an event.

  The call to notify is synchronous to allow the party making the call to know if the call succeeded. However, it is not part of the semantics of the call that the notification return can be delayed while the recipient of the call reacts to the occurrence of the event. Simply put, the best strategy on the part of the recipient is to note the occurrence in some way and then return from the notify method as quickly as possible.

  UnknownEventException is thrown when the recipient does not recognize the combination of the event identifier and the event source as something in which it is interested. Throwing this exception has the effect of asking the sender to not send further notifications of this kind of event from this source in the future.

  Parameters:
    `theEvent` - the remote event that occurred
  Throws:
    `UnknownEventException` - the recipient does not recognize the combination of event identifier and event source
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved